Skip to main content
GET
/
api
/
v1
/
public
/
source-intelligence
/
sources
List Sources
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/source-intelligence/sources \
  --header 'Authorization: Bearer <token>'
{
  "sources": [
    {
      "id": 123,
      "domain": "<string>",
      "name": "<string>",
      "citation_count": 123,
      "is_review_site": true,
      "from_citation": true,
      "first_seen_at": "2023-11-07T05:31:56Z",
      "last_seen_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "platform_citations": {}
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

source_type
string | null

review_platform | media | blog | directory | forum | wiki | social

platform
string | null

chatgpt | perplexity | gemini | claude

search
string | null

Search by name or domain

limit
integer
default:50
Required range: x <= 200
offset
integer
default:0
Required range: x >= 0
website_id
integer
required

Target website id

Response

Successful Response

Response for listing suggested sources.

sources
SuggestedSourceResponse · object[]
required
total
integer
required